Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOBBDicer Class Reference

`#include <vtkOBBDicer.h>`

Inheritance diagram for vtkOBBDicer:

[legend]
Collaboration diagram for vtkOBBDicer:

[legend]
List of all members.

## Detailed Description

divide dataset into spatially aggregated pieces

Date:
  2002/11/03 22:51:55

Revision:
  1.15

vtkOBBDicer separates the cells of a dataset into spatially aggregated pieces using a Oriented Bounding Box (OBB). These pieces can then be operated on by other filters (e.g., vtkThreshold). One application is to break very large polygonal models into pieces and performing viewing and occlusion culling on the pieces.

Refer to the superclass documentation (vtkDicer) for more information.

See also:
  vtkDicer vtkConnectedDicer

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (80%)
  - Geveci, Berk (8%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkOBBDicer.h)`
  - .`cxx` (`/Graphics/vtkOBBDicer.cxx)`

Tests:
  vtkOBBDicer (Tests)

Definition at line 59 of file vtkOBBDicer.h.

## Public Types
typedef vtkDicer | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkOBBDicer * | SafeDownCast (vtkObject *o)
vtkOBBDicer * | New ()
## Protected Methods
| vtkOBBDicer ()
| ~vtkOBBDicer ()
void | Execute ()
void | BuildTree (vtkIdList *ptIds, vtkOBBNode *OBBptr)
void | MarkPoints (vtkOBBNode *OBBptr, vtkShortArray *groupIds)
void | DeleteTree (vtkOBBNode *OBBptr)
## Protected Attributes
vtkPoints * | PointsList

## Member Typedef Documentation

typedef vtkDicer vtkOBBDicer::Superclass

| Reimplemented from vtkDicer. Definition at line 62 of file vtkOBBDicer.h.

## Constructor & Destructor Documentation

vtkOBBDicer::vtkOBBDicer | ( |  | ) | `[inline, protected]`

| Definition at line 69 of file vtkOBBDicer.h.

vtkOBBDicer::~vtkOBBDicer | ( |  | ) | `[inline, protected]`

| Definition at line 70 of file vtkOBBDicer.h.

## Member Function Documentation

virtual const char* vtkOBBDicer::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDicer.

int vtkOBBDicer::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDicer.

virtual int vtkOBBDicer::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDicer.

vtkOBBDicer* vtkOBBDicer::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDicer.

void vtkOBBDicer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDicer.

vtkOBBDicer* vtkOBBDicer::New | ( |  | ) | `[static]`

| Instantiate an object. Reimplemented from vtkObject.

void vtkOBBDicer::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkOBBDicer::BuildTree | ( | vtkIdList * | ptIds,
|  | vtkOBBNode * | OBBptr
| ) | `[protected]`

void vtkOBBDicer::MarkPoints | ( | vtkOBBNode * | OBBptr,
|  | vtkShortArray * | groupIds
| ) | `[protected]`

void vtkOBBDicer::DeleteTree | ( | vtkOBBNode * | OBBptr | ) | `[protected]`

## Member Data Documentation

vtkPoints* vtkOBBDicer::PointsList`[protected]`

| Definition at line 79 of file vtkOBBDicer.h.

The documentation for this class was generated from the following file:

- Graphics/vtkOBBDicer.h